Межсайтовый скриптинг и SQL-инъекция в phpBB Styles Demo модуле

Дата публикации:
20.09.2007
Дата изменения:
20.09.2007
Всего просмотров:
1670
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Styles Demo 1.x (модуль к phpBB)
Уязвимые версии: Styles Demo (модуль к phpBB) 1.0.9, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "s" сценария index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "s" сценария index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: ktauber.com/phpBB2mods/styles_demo/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: phpBB Mod Ktauber.com StylesDemo Blind SQL Injection Exploit

или введите имя

CAPTCHA